Add software to production task type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/task-types/{task_type_id}/softwares

Link a software to a task type of a production. The task type must be a task type of the production and the software must not be archived. An existing link is returned as is. Admins, managers of the team and supervisors of the team for the task types of their departments can add it.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_type_id string(uuid) Required

    Task type unique identifier

application/json

Body Required

  • software_id string(uuid) Required

    Software unique identifier

Responses

  • 201 application/json

    Task type software link

    Hide response attributes Show response attributes object
    • project_id string(uuid)

      Project unique identifier

    • task_type_id string(uuid)

      Task type unique identifier

    • software_id string(uuid)

      Software unique identifier

  • 400

    Task type not in the production, or archived software

  • 403

    Not allowed to change the softwares of this task type

  • 404

    Software not found

POST /data/projects/{project_id}/task-types/{task_type_id}/softwares
curl \
 --request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/task-types/b35b7fb5-df86-5776-b181-68564193d360/softwares' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}'
Request examples
{
  "software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}
Response examples (201)
{
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
  "software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}